<template>
  <div>
    <v-container>
      <p class="display-2 font-weight-light	text-center pa-3">Вход</p>
      <v-form
        @submit.prevent="loginHandler"
        ref="form"
        v-model="valid"
        lazy-validation
      >
        <v-text-field
          v-model="username"
          :counter="150"
          :rules="usernameRules"
          label="Логин"
          required
        />
        <v-text-field
          v-model="password"
          :rules="passwordRules"
          :type="'password'"
          label="Пароль"
          required
        />
        <v-btn
          :disabled="!valid"
          :type="'submit'"
          color="blue"
          class="mr-4"
        >
          Войти
        </v-btn>
        <router-link to="/change_password">Забыли пароль?</router-link>
      </v-form>
    </v-container>
  </div>
</template>

<script>
export default {
  name: 'login',
  data: () => ({
    valid: false,
    username: '',
    usernameRules: [
      v => !!v || 'Name is required',
      v => (v && v.length <= 150 ) || 'Name must be less than 150 characters',
      v => (v && v.length >= 6 ) || 'Name must contain at least 6 characters'
    ],
    password: '',
    passwordRules: [
      v => !!v || 'Password is required',
      v => (v && v.length >= 8 ) || 'Your password must contain at least 8 characters'
    ],
    checkbox: true,
  }),
  created() {
    this.$setTitle('Вход')
  },
  methods: {
    loginHandler() {
      let username = this.username
      let password = this.password
      this.$store.dispatch('login', { username, password })
        .then(() => this.$router.push('/'))
        .catch(err => console.log(err))
    }
  }
}
</script>
